Changelog TVBrowser

Attention: Since Version 2.6beta1 all changes can be found in our Jira:

http://www.tvbrowser.org:8080/jira/browse/TVB?report=com.atlassian.jira.plugin.system.project:changelog-panel

2.6alpha3
=========
-Bugs
 * 1710561 big fonts: filter components dialog not high enough
 * 1738622 Size of TV-Browser is not restored correct on startup
 * 1794024 English installation but German user language
 * 1801671 FavoritesDialog: selection of programs ignored for sending
 * 1801405 filtered view requests application focus
 * 1802263 empty program info
 * 1803024 wrong end time in program info
 * 1805505 wrong actor recognition if role in title
 * 1806919 Tree-Expanding after adding a favorite
 * 1807886 advanced search form does not resize
 * 1808374 Tab character not shown in program table 
-Features
 * 1800901 highlight program on showing from plugin tree
 * 1802848 Fullscreen start selectable in settings
 * 1804507 PrintPlugin: Use mark icons for program
 * 1808385 antialiasing in splash screen
 * 1808674 Make network connection test optional
 * several new icons in the main menu and toolbar
 
2.6alpha2
=========
-Bugs
 * 1734692 Desc. and copyright for picture not readable
 * 1738622 Size of TV-Browser is not restored correct on startup
 * 1795481 Fixed Reload-Handling of Favorites-Tree
 * 1795499 PluginTree: keyboard navigation didn't works
 * 1796665 I18N Plugin didn't show translations for tvbrowser
 * 1797086 AudioDescription Filter can be delted
 * 1798003 FavoritePlugin: Programs send more than once to target
 * 1798618 Channel settings tab goes gray on filter deleting
 * 1799450 Exception in TV rater plugin
 * 1800096 KOrganizer-Export missing
 * 1800331 SearchPlugin context menu not available 
 * split multiple person names in director field
 * plugins shown in wrong language after changing language settings
- Features
 * 1777140 have filter menu for plugin nodes
 * 1795272 Check plugin versions for loading from right directory
 * 1795684 Better single click handling in trees
 * 1796964 Add ability to show marking colors in context menu
 * 1797875 Show favorites that could not send programs to a target
 * 1798668 Do not download missing channel icons on TV-Browser start
 * 1799463 program info: actor name always left, role name always right
 * 1799909 PluginTree: Have icon for Favorites
 * 1799911 PrintPlugin: Show marking colors
 * new plugin: Genres
 * avoid channel changes dialog if the list of available channels did not change
 * more icons in the main menu 

2.6alpha1
=========

-Bugs
 * 1675290 Empty tree nodes show plus sign
 * 1679319 "Show program" does not work with active filter
 * 1679347 background images not wide enough
 * 1680394 search is not cancelled
 * 1680400 have ellipses in menu items with following dialog
 * 1683000 keyboard scrolling in table changes time
 * 1687800 Rating icons not shown after first update
 * 1691553 countries in channel selection have no sort order
 * 1698232 typos found while browsing src
 * 1698236 typo in tvdatakit
 * 1701844 MarkerChooser shows plugins without mark icons
 * 1711528 subscription of large channel list is ultra slow
 * 1715212 Warning: Column out of bounds
 * 1726376 layout issues with "Anspruchsvolle Elemente"
 * 1726734 Exception with very small column width
 * 1729308 font size changes lead to overlapping text
 * 1734320 anti-aliasing not used in program panel
 * 1734487 close button overlaps remind again box
 * 1737458 copyright notice overlaps
 * 1741987 marker chooser dialog shows non marking plugins
 * 1742415 plugin update dialog not at upper left position
 * 1747233 wrong error for creating favorite from yesterdays program
 * 1747484 Avoid overwriting of channel list
 * 1747962 display error when using quotes in plugin update dialog
 * 1748229 menu items missing in Sendungsinfo-Betrachter
 * 1749832 Reminders at 0:00 don't close automatically
 * 1749892 Mass filter config not localized
 * 1754304 design preview not applied to top group in program info
 * 1754313 "configure" button in program info hidden after preview
 * 1756608 FindAsYouType wrongly opens with "No result found"
 * 1757725 Filtered view with time filters not updated
 * 1760539 rating plugin: program not found due to upper/lower case
 * 1762449 no execute access for tvbrowser-transportable.sh
 * 1764891 multiple program info not handled correctly
 * 1765125 changing day start or end does not update program table
 * 1770609 programs already running at day start are not shown
 * 1774866 exception with undefined program in reminder settings
 * 1777811 program table dragging broken in 2 steps
 * 1779828 plugin info shows empty plugin license
 * 1780799 program info icon text not translated
 * 1781481 tvrater icons to small leading to layout issues
 * 1782929 Data mirror is used even if it is out of date
 * 1783795 NPE in BBC plugin
 * 1785704 Time range of program table can be less than 24h
 * 1786050 NPE on updating running programs
 * 1787231 installation error with non admin user
 * 1772659 Don't detect available Languages on Mac    	 
-Features
 * 1482904 Favorites-System: Sort by Program-Count
 * 1482905 Favorites-System: Group Favorites
 * 1669410 Settings of favorites can not be reached from dialog
 * 1672681 Show end time in reminder dialog
 * 1677685 have channel selection in listview
 * 1680392 set focus to search field after search options dialog
 * 1683002 change font size quickly
 * 1683011 have long date format in menu
 * 1683012 channel icon in main menu
 * 1683949 change program info when selecting episodes of favorite
 * 1687331 Dreambox-Connector
 * 1687742 warning on data update with no channels defined
 * 1687752 have a link from plugin description to wiki
 * 1688688 have link from settings to wiki
 * 1691557 lazy loading of icons for swedb
 * 1691563 only load activated plugins
 * 1698749 have progress monitor for search
 * 1706842 have more abilities to leave full screen mode
 * 1711469 indicate plugins with new version available
 * 1713302 activate auto update from update dialog
 * 1713830 Search for repetitions with a special dialog
 * 1714427 don't open google login dialog if password is stored
 * 1717878 Add methods for writing/reading ImageIcons to IOUtilities
 * 1718142 WebPlugin: Search for actors, director and script
 * 1719088 show wait cursor on opening dialogs
 * 1719482 ctrl-f shortcut for text search in program info 
 * 1720385 tabular actors list
 * 1720507 configure channel filter from channel list
 * 1721682 remember last settings tab
 * 1722149 Markerplugin: Extended marking using filters
 * 1723684 sort marker plugin tree independent of capitalization
 * 1724474 Show number of programs in send to dialog
 * 1725479 Better picture settings
 * 1725997 Remove "general settings" tabs
 * 1726443 dont stretch filtered programs up to next filtered program
 * 1726572 easily change column width
 * 1726743 preselect printer queue if it contains items
 * 1727825 have shortcuts for view parts
 * 1729815 have view configuration in channel list context menu
 * 1730980 speaker beep as reminder action 
 * 1732346 context menu to remove toolbar button
 * 1734190 have wikipedia links in program info
 * 1737500 have actor list in favorite creation
 * 1739867 enable/disable filter bar in view menu
 * 1741096 Plugins should be able to get the priority colors
 * 1741169 have "add to favorite" for existing favorites
 * 1741283 ask for data update on selecting day without data
 * 1741322 create artificial plugin tree from marked programs
 * 1744959 add ability to disable context menu parts for program info
 * 1746035 Additional Fields (Episode Number, Total Episodes, Season, Producer, Cutter, Movies, Series, New)
 * 1747990 group icons in program table if panel is not high enough
 * 1749194 Use move cursor for program table
 * 1749990 Renamed CapturePlugin
 * 1753735 show number of minutes program is already running
 * 1756612 automatically invoke text search again on next program info
 * 1762809 remove dependencies on sun internal classes
 * 1764268 have optional weekly plugin update check
 * 1766377 Show favorite name in reminder dialog
 * 1767896 hide empty favorite branches in plugin tree
 * 1768194 have context menu for all tree nodes of simple marker plugin
 * 1768405 Select more than one target for sending to other plugin
 * 1770225 i18nplugin: check argument usage and punctuation
 * 1770338 Have separator in plugins context menus
 * 1770619 sort plugin tree root nodes alphabetically
 * 1772329 avoid updating favorites if no tv data was downloaded
 * 1772676 other color for old programs in plugin view
 * 1772967 better parse RadioTimes data for more detailed info
 * 1773036 RadioTimes: avoid database updates if program did not change
 * 1773063 tvrater: use expired reminders to rate old programs
 * 1773963 have plugin manager access in data service
 * 1773984 update status line after radiotimes data download
 * 1774603 have limitation of channel time
 * 1774898 Add -fullscreen
 * 1775564 dont use exceptions for control flow decisions
 * 1777618 show changes after refreshing channel list 
 * 1777723 show "loading channels" only for channel settings tab
 * 1779464 be able to activate plugins directly in plugin list
 * 1779581 Add ability to get the all filter in FilterManager
 * 1780218 open TV-Browser at current time
 * 1780311 PluginTree: programs in red that didn't fit current filter
 * 1780312 User selectable default filter
 * 1781418 reduce cpu load on mouse over effect of program table
 * 1781619 change label for tvrater context menu if no rating available
 * 1782605 Check date via NTP if no new data can be downloaded
 * 1784434 support new program fields in SweDB
 * 1784639 Change settings structure
 * 1786996 Init program info dialog after startup
 * 1787297 have icons in plugin tree
 * 1787967 Export only not expired programs from Favorites and MarkList
 * 1788028 PluginTree: Ability to set icon of tree nodes for plugins
 * 1788029 PluginTree: Abilty to set receive target for a node
 * 1788976 Shorten toolbar button labels for core plugins
 * 1790611 Add new Google Calendar Features
 * 1790695 webplugin: open program URL
 * 1790897 remove settings root node
 * 1791219 Add country to channel name
 * 1791460 Add OS selection for plugin updates
 * 1792930 scroll channel wise horizontally
 * 1793731 Add sub minor to Version, change Plugin versions
 * 1793754 Add new Filter: Audio description

2.5.3beta3/2.5.3
================

-Bugs
 * 1746022 program table not updated if current filter is edited
 * 1746824 Marking problems on channels with different time zones
 * 1749152 Channels cannot be removed in Favorites channel restriction
 * 1749540 No connection timeout for SweDB and Radio Times data service
 
2.5.3beta2
==========

-Bugs
 * 1698591 #separator is too small to remove/modify it under MacOS
 * 1734355 no programs found if invalid exclusion in favorite
 * 1734692 Desc. and copyright for picture not readable
 * 1738621 NPE for LocaleSettingsTab
 * 1738622 Size of TV-Browser is not restored correct on startup
 * 1738735 NPE in WebPlugin 

2.5.3beta1
==========

-Bugs
 * 1634797 ConcurrentModificationException in ReminderTimerListener
 * 1680401 printing: plugin icons can't be removed
 * 1686450 SendToPluginDlg layout sometime destroyed
 * 1687340 TV-Browser transportable TV data import sometime didn't work
 * 1687346 Automatically data update runs every TV-Browser start
 * 1687497 layout restored wrongly switching plugin tree on or off
 * 1687537 Update of filtered view to slow
 * 1688332 Copy of TV data can result in an endless recursion
 * 1688716 No remind again field for 24 hour reminders
 * 1692658 Google Calendar Export TimeZone
 * 1701139 NPE on TV data deletion
 * 1705404 NewsPlugin shows old news as new news
 * 1705442 Scrolling to now didn't work sometime
 * 1707649 Reminder not selectable as ReceiveIf
 * 1717929 Comparing of channel not correct
 * 1722169 Boolean search missing parts
 * 1722642 Prevent windows showing outside of screen
 * 1723586 CapturePlugin: Id is maybe not unique on import

-Features
 * 1680402 show end time in first line of program info
 * 1687342 Change marking system
 * 1689233 Automatically create backup of settings.prop
 * 1689235 Save most setting on changing
 * 1689237 Allow plugins to decide when the settings should be saved
 * 1689238 Add undo to deleting in SimpleMarkerPlugin
 * 1689348 Add undo to deleting in Reminder
 * 1689437 Use mark priority in tray for important programs
 * 1703131 remove unneeded borders
 
2.5.1beta3/2.5.1
================

-Bugs
 * 1678589 reminder does not show repetition selection
 * 1680195 Exception on deactivating plugin 
    
-Features
 * 1679059 Use LookAndFeel colors in program table

2.5.1beta2
==========

-Bugs
 * 1631684 Filtered view not updated after changing favorites
 * 1668627 Favorites: Creating doesn't remind reminder state
 * 1668773 Have bigger reminder time span in export
 * 1669383 Scrolling channel list with active filter does not work
 * 1669620 Sound playing in reminder sometime didn't works
 * 1669719 Scrolling does not work after activating filter
 * 1669728 Slowdown of program info due to favorite programs
 * 1669733 Grouping of programs for marker plugin confusing
 * 1670353 Copied blanks in filter component name not replaced
 * 1670583 Network checks shows wrong duration
 * 1672077 No reaction in dialog windows on Mac with Apple+Q
 * 1675285 Dont start second instance if not confirmed
 * 1675580 NewsPlugin mustn't show old news if no news received
 * 1676886 Windows: No ability to stop registry change 

2.5.1beta1
==========

-Bugs
 * 1622882 CalendarExport: problems with settings
 * 1623607 Channel settings not usable
 * 1623783 Picture settings destroying settings dialog layout
 * 1624314 Refresh of program panels doesn't work if a channel is empty
 * 1624512 SkinLookAndFeel themepacks seems not changeable
 * 1625296 Multiple UI updates on startup
 * 1629645 Plugin selection for sending somtimes didn't work
 * 1629845 No scroll bar in print dialog (printer queue)
 * 1629847 Channel name filter takes long time
 * 1631115 Typos
 * 1631666 tvbrowser.exe only requires Java 1.4
 * 1631789 Toolbar buttons have random order in config dialog
 * 1632224 CapturePlugin: error for receiving program for deleting
 * 1633175 CapturePlugin: No update of programs after data update
 * 1634420 Reminder for started program shows "Remind 5 minutes before"
 * 1634665 Plugins can initialize FilterList to early
 * 1634912 WebPlugin allows empty page name
 * 1634939 Plugins not sorted alphabetically
 * 1637427 Show program info menu useless in program info
 * 1640885 Previous/Next day actions are wrongly enabled
 * 1648166 Pluginview contains items out of date
 * 1650939 New favorite dialog does not resize correctly
 * 1652059 TV data have to be copied on changing TV data directory
 * 1662012 NullPointerException in TVRaterPlugin
 * 1662342 CapturePlugin: Freezes if manny programs were scheduled
 * 1637210 Grouping of favorites sometimes useless
 * 1667550 Favorite not editable if receive target don't exists
 * 1667972 Exception in LocalizerClassloader inhibits TV-Browser start 
 
-Features
 * 1551370 Uncomplete keyboard navigation in the Favorites wizard
 * 1575136 Use different program configuration for plugins
 * 1624347 Parameter system: add parameter
 * 1624351 Scroll to current on air programs on TVB restore
 * 1625777 Scroll program table when using keys in channel list
 * 1625033 Add pay tv type to channel and filters for it
 * 1629839 Add settings for network connection timeout
 * 1629843 Add time settings for internet connection test
 * 1630178 Automatic data update after adding channels
 * 1635192 Add tray support with Java6
 * 1637197 Have repetitions of favorites in program context menu
 * 1638413 Add global program configuration for plugins
 * 1638702 Prevent settings dialog to be opened multiple times
 * 1641077 have channel webpage in webplugin
 * 1645922 Start search with keyboard
 * 1646664 "removed reminders" dialog optional
 * 1648312 Create transportable version of TV-Browser
 * 1648506 Reuse program info dialog
 * 1656634 Reminder: Add selectable always on top
 * 1657097 More than one toolbar button per plugin
 * 1657098 Add filler actions to toolbar
 * 1659229 Add diffent colors for marking
 * 1661310 Horizontal scrolling of program table with mouse wheel 

2.5
=========

-Bugs
 * 1618054 Reminder: No progress, wrong text
 * 1621449 setup wizard has steps 1,2,3,3
 * 1621447 i18n: english texts during setup wizard
 * 1621460 Initial dialog size of tv data user agreement too small 

2.5 beta3
=========

-Bugs
 * 1618054 Reminder: No progress, wrong text
 * 1618058 Pictures: Time value not changed if plugins selected
 * 1617759 No context menu on programs with active reminder 

-Features
 * 1620348 Reminder: Enable/Disable time counter
 
2.5 beta2 
=========

-Bugs
 * 1601964 ProgramTable layout: Last program should use available space
 * 1604558 More button of toolbar is shown if toolbar is empty
 * 1604560 More button of toolbar didn't works
 * 1535149 Freeze bei Neustart
 * 1601963 Plugin View: Export sometimes not available
 * 1601964 ProgramTable layout: Last program should use available space
 * 1602055 LookAndFeel settings not selectable
 * 1602414 CaretPositionCorrector works not as expected 

-Features
 * 1603323 Change network connection test
 * 1603322 Add mirror support for groups handling
 * 1607594 NewsPlugin: Add ability to forbid connections
 * 1614254 Win: Registry values for deinstall separate for every ver.

2.5 beta1
=========

-Bugs
 * 1592886 Nullpointer in Elgato-Driver of CapturePlugin
 * 1591008 Reminder editing window forgets size
 * 1598552 Favorite: Title favorite is not changeable
 * 1596659 Favorite: Exclusion sometimes didn't work

-Features
 * 1601966 Reminder: Add 12 hour remind ability
 
2.5 alpha
=========

-Features
 * 727883 Für Windows: Autostart-Funktion
 * 1494138 Tray - Middle click should start middle click action
 * 1494139 Tray - Use Filter
 * 1498066 Real compact layout
 * 1499645 Highlight separators on toolbar editing
 * 1503964 RadioTimes Dataservice
 * 1502368 Favorites - Send program at once to Plugins
 * 1502367 Different icons for marking
 * 1503637 Warning for Windows 2000/XP if Fast Shutdown is activated
 * 1504306 More important programs in tray
 * 1504446 WebPlugin: Load FavIcon
 * 1505294 All plugins should be able to send programs to other plugins
 * 1505702 Encapsulate access to base plugins
 * 1506684 Clipboard-Plugin should only copy to clipboard
 * 1507483 A plugin should be able to let TVB scroll
 * 1507694 12 - Hour - Format
 * 1281742 : Calendar-Plugin: Use DALARM
 * 1506885 Remove Group-Concept
 * 1511604 Translation-Tool
 * 1508147 CalendarPlugin: add more Interfaces
           - Anbindung an Outlook mit Hilfe von jcom
           - Anbindung an Mac iCal mit Hilfe von AppleScript
           - Anbindung an Google Calendar 
 * 950551 Fullscreen-View (computer screen)
 * 1551539 Reminder window should be closed at program end
 * 1280121 PrintPlugin: Filter drucken
 * 1582414 Plugin should be able to send program with target to plugin
 * 1584657 Plugins should be able to create and use filters
 * Default für ProgramTabelle auf "Zeitblock" setzen. (Bodo)
 * Restliche Fehler im Sender-Filtern in den Einstellungen fixen (manchmal wird die Liste links nicht neugeladen sondern leer gelassen)
 * Filter erzeugen im Bewertungs-Plugin (Bodo)
 * Neues Senden-an-System im CapturePlugin (Bodo)
 * Added ability to change channel width in tray 

2.2.2
=====

- Bugs
 * 1392687 SearchPlugin - Doppeltes Suchergebnis
 * 1526349 TVB freezes on group update if a group isn't available
 * 1524378 Reminder is shown more than one times
 * 1519528 PluginUpdate - Warn if a beta version should be installed
 * 1520553 Short desciption shown - also if it's the beginning of desc.
 * 1526948 Program changes from plugins are not saved
 * 1530884 CapturePlugin - quotes are not handled correct
 * 1531360 Reminder - Reminder window needs long to be shown
 * 1537620 Long Search-Entries corrupt the Search Dialog
 * 1551366 Problems on update from older versions to version 2.2/2.2.1
 * 1552718 Wrong text in settings
 * 1552788 If global icon setting is disabled the special ones mustn't
 * 1552864 Edit favorites - long name-entries corrupt the dialog size
 * 1554048 Slow performance on reactivating from tray
 * 1554050 Sidebar is decreased if a component of it is removed
 * 1580056 Minize on closing has wrong position in settings
 * 1590141 Edit favorites: programs are send two times to plugins 
 (2.5beta1:)
 * 1591008 Reminder editing window forgets size
 * 1598552 Favorite: Title favorite is not changeable
 * 1596659 Favorite: Exclusion sometimes didn't work 
 (2.5beta2)
 * 1601964 ProgramTable layout: Last program should use available space
 * 1604558 More button of toolbar is shown if toolbar is empty
 * 1604560 More button of toolbar didn't works
 * 1535149 Freeze bei Neustart 
 (2.5beta3)
 * 1618054 Reminder: No progress, wrong text
 
- Features
 * 1519526 Show updates for plugins
 * 1495140 A day should be able to have > 256 Programs
 * 1317785 ProgramTable mit Bildern
 * 1579224 Save paths to icon/skin-themes relative
 * Move SearchPlugin into base application
 (2.5beta2)
 * 1603323 Change network connection test
 * 1603322 Add mirror support for groups handling
 * 1607594 NewsPlugin: Add ability to forbid connections
 * 1614254 Win: Registry values for deinstall separate for every ver. 

2.2.1
=====
- Bugs
 * 1519248 group refreshing - progress bar is visible if is not needed
 * 1519252 Possible NumberformatError in EyeTV Software
 * 1520554 ProgramInfo - Moderation isn't selectable

2.2.1 Beta 3
=========

- Bugs

 * 1516254 Use country as id for channel
 * 1507758 Favorite forgets the channels
 * 1517087 channel removed -> Exceptions on next start

2.2.1 Beta 2
=========

- Bugs

 * 1516043 Mange Favorite dialog isn't updated
 * 1515953 Exception after data update
 * 1516484 ShowView calculating is wrong 
 
- Features

 * 1508030 Improve checking of the program instances after data update
 * 1516254 Use country as id for channel 

2.2.1 Beta
=========

- Bugs

  *  1498322 Reminded programs are not removed from Plugin View
  * 1498499 CapturePlugin - exception on no application path
  * 1497324 Programinfo not translated
  * 1499121 FavoritesDialog (ExpertMode) not modal child of Mainframe
  * 1499528 On minimized start the autoupdate dialog doesn't work
  * 1499507 Favorite program are not updated
  * 1497683 TVBrowser crashes if DataService is removed (Bodo)
  * 1498656 Country-Filter in Channel-Selection
  * 1497144 WebPlugin: Sorting doesn't work
  * 1503137 PluginSoftwareUpdater uses localized name for file
  * 1504131 Reminder window - ProgramInfo is shown in back of it
  * 1504303 Favorites send empty array to plugins after data update
  * 1504330 Scrolling to a date after data update doesn't work
  * 1507667 Uses Mirror from Groups.txt
  * 1507758 Favorite forgets the channels
  * 1507908 Today column of channels with other timezone could be empty
  * 1508136 Some favorite programs are not marked after a data update
  * 1508175 Reminder forgets the reference count
  * 1508173 Remindering of a favorite program is deleted
  * 1511430 Tray-Icon under Linux with Java 6
  * 1512251 Tray deactivation leeds to crash under linux
  * 1513660 Toolbar - update button shows text on update start
  * 1514498 Timeout for reading from network isn't set somethimes
  * 1514496 Plugin settings tab isn't available after activating plugins
  * 1513918 Deactivated plugins are not removed from toolbar
  * 1514584 Checking of the mirror date don't reacts on broken files
  * 1515515 Reminder - Cut of program title in removed programs list
  * 1515087 ChannelArrayProperty didn't saves the group 
  * 1515781 Gray Dialog box after Channel-Update
  
2.2 Final
=========

-  Features

 * 1493046 dynamic ScrollableMenu 

- Bugs

 * 1493031 IconFilter can crash TVB if Plugin was removed
 * 1460431 Print-Plugin - Some columns are Empty
 * 1460429 Print-Plugin - The first Programm not printed
 * 1494570 ReminderDialog don't reacts on key pressing
 * 1494840 Some important programs are not shown in Tray
 * 1495608 False detection of Icon-Theme 
* 1353812 Printplugin:Last program of the day is always at the bottom

2.2 Beta 2
=========

- Features

 * 1482077 Choose channels with keyboard
 * 1482276 Reminder windows should pop up when TVB start is finished
 * 1484674 scroll to now after a data update if programtable is empty
 * 1484033 Timestamp in logfile
 * 1486768 Favorites-System - Remove single programs
 * 1487538 automatically sort the time buttons on pressing OK/Apply
 * 1487651 Stop Reminder temporary 

- Bugs

 * 1482150 Reminder window hides other messages
 * 1482418 Tray let the TV-Browser freeze
 * 1482918 "Show only channel icon" for Channel list does not work
 * 1482421 SearchFiled - filter close button not shown complete
 * 1483253 Tray Icon isn't removed on TVB closing
 * 1483264 Extended Windows LookAndFeel has wrong classname
 * 1482425 tvbrowser.sh has Windows file format
 * 1483340 Webplugin: New Entries occur only after refresh
 * 1482708 "Configure Menu" in Function-List of Programdetails
 * 1482446 Some Dialogs too small
 * 1485690 Toolbar - ToggleButtons not shown as pressed
 * 1485692 Toolbar settings - Button size decrease
 * 1487353 Selection of Favorites in the ManageDialog need much time
 * 1487383 PluginTree isn't updated
 * 1487761 CapturePlugin: Length calculation wrong 


2.2 Beta 1
=========

- Features

 * 1175353 Favoriten-Plugin muß Erinnerungen auch löschen können
 * 1009333 Favoriten-Plugin erweitern (war automatische Suche)
 * 950428 Abbrechen-Knöpfe an die richtige Position 
 * 1392719 ContextMenu for all configurable components in the MainFrame
 * 1392723 dynamic time buttons in the toolbar
 * 1378810 Drag'n'Drop for all sort lists and the channel panel
 * 1397135 Splash verschiebbar
 * 1397234 Listview-Plugin Live-Refresh
 * 1407645 Nach Tagen filtern können
 * 1410865 Web-Browser - Dialog nach start des Web-Browser
 * 1422336 Dialoge mit ESC schließen
 * 1294043 ProgramInfo-Plugin
 * 1232411 "echte" zeitsynchrone Darstellung
 * 727887 Reminder-Fenster: Immer im Vordergrund
 * 1440227 EMail-Plugin: Automatic discovery of Application
 * 1235660 Sendungsinfo-Layout-Änderung
 * 1446013 PluginTree should show expanded nodes after an update
 * 1450262 Create Separator in Context-Menu
 * 1454539 Toolbar Buttons with drop down for channel, date and time
 * 1454876 Send only a part of a displayed ProgramList to other Plugins
 * 1454884 Sound testing in the Reminder settings should be stopable
 * 1248061 Progressbar für FavoritesPlugin
 * 1458232 Search-Field in Toolbar
 * 1460650 More button for the toolbar
 * 1465129 Print-Preview with Zoom-Buttons
 * Usability-Überlegungen
 * 1280907 Tray-Icon-Menü verbessern
 * 1465563 Add an event for finished TV-Browser start to Plugin
 * 1260108 Die Icons sollen austauschbar werden
 * 1466356 Reminder - Usability
 * 1458654 Print single Programs
 * 1475115 The settings should be used for one version only.
 * 1479069 Elgato-Driver for CapturePlugin

- Bugs

 * 1361700 Breite der Zeitknöpfe unter Linux
 * 1379802 X11-Tray Popup not showing correctly
 * 1391988 Löschen eines Favoriten dauert lange
 * 1392687 SearchPlugin - Doppeltes Suchergebnis
 * 1392693 mehrfache gleiche Zeitbuttons
 * 1391989 Toolbar DnD fehlerhaft
 * 1412137 Kalender-Export falsches DTEnd
 * 1412142 Lieblings-Sendungen bei Tageszeiten die 0:00 Überspannen
 * 1264883 Endzeit der Sendungen nach Tageswechsel neu berechnen
 * 1434229 CapturePlugin: Deadlock processes
 * 1436694 Not marked programs after Update, wrong programs in Reminder
 * 1444117 Case insensitive search matches only US-ASCII charset
 * 1260779 Exceptions bei fehlender Internetverbindung vermeiden
 * 1454399 The plugins order in the Plugin View is wrong
 * 1454886 Sound in Reminder is not played complete
 * 11367231 Start time and End time display not timezone corrected
 * 1461381 New Favorites are not saved on dialog closing
 * 1467957 Bann Server if down
 * 1328168 Bilder werden nicht für alle Sendungen geladen
 * 1475116 The channels from the zap2it importer are listed multiple
 * 1477075 Repaint of Program-List and Table

2.1
=========
- Bugfixes
 * 1355929 Replace of ( and ) in BooleanSearcher
      The characters ( and ) are needed in the BooleanSearcher
 * 1358066 Automatically Download at Start broken
  
2.1 Beta 4
=========
- Features
 * Swedish Translations (Thanks to Joakim Arborelius)

- Bugfixes
 * 1351760 Fehler in Suche mit gegebenen Regulären Ausdruck

2.1 Beta 3
=========
- Bugfixes
  * 1349483 Suche nach "ARD-Ratgeber: Technik" funktioniert nicht
  * 1349704 Kein Kontextmenü unter Windows in Plugin- und Sendergruppen

2.1 Beta 2
=========
- Features
  * Infodialog bei Sendergruppen-Üœbersicht
  * Contextmenü in Plugin-Settings und Sendergruppen-Settings
  * 1341645 .lock Üœberprüfung verändern
  * 1335742 Sendungshervorhebung bei Mausereignissen ändern
  * 1335739 Anzeige der Blacklist Favoriten im PluginBaum entfernen
   
- Bugfixes 
 * 1334400 Kanalkonfigurations-Dialog Fehler wenn Kanal kein Logo
		Kanäle ohne Logo konnten nicht konfiguriert werden
 * 1334785 Sendungsauswahl bleibt bei Filterwechsel erhalten
 * 1333729 Sender-Gruppen werden nach aktualisieren deaktiviert
 * 1335737 Tastaturbedienung funktioniert nach Filterwechsel nicht
 * 1335738 FavoritesPlugin: Entfernen auf allen Favoriten Fehler
 * 1336295 Tastaturbedienung: Fehlerhaftes Scrollen zur Sendung, Titel ist nun immer sichtbar
 * 1336659 Senderlogos lassen sich in Kanalliste nicht ausblenden
 * 1336574 Sendergruppen-Einstellungen beim Update auf 2.1
 * 1333526 TV-Datenservice Einstellungen erst nach neustart aktiv
 * 1277870 Linux: Tray-Popup-Menü verschwindet wenn das Tray-Icon unsichtbar wird
 * 1318001 Link-Behandlung bei fehlendem http://
 * 1338751 Exception bei Klick in den Plugin-Tree
 * 1344918 TV-Browser blockiert Windows Shutdown
 * 1345798 Unbeabsichtigtes Srollen beim Plugin-Fenster schließen
 * 1345824 ActionCommand-String null bei Doppel-/Mittelklick
 * 1308939 Lieblingssendung Plugin - String mit Komma werden nun auch gefunden
 * 1261226 Boolsche Suche Fehler

2.1 Beta 1
=========
- Features:

 * 1280910 Filter-Anzeige
		Es wird nun gut sichtbar über der Program-Tabelle angezeigt, ob und welcher Filter aktiv ist
 * Plugin-System
	   - Plugins-Verzeichnis nach $HOME verschoben
	   - Plugin-Suchreihenfolge: $HOME/.tvbrowser/plugins, $PROGDIR/plugins, $PROGDIR/tvdataservice
       - neuer Key in .properties: 'pluginsdir'
 * 1280109 TvDataService-Schnittstelle erweitern       
       - neues TvDataService interface: devplugin.TvDataService
       - Sendergruppen müssen nicht mehr per Hand eingetippt werden
 * 1280122 PrintPlugin: Sendungen markieren
		Nun werden markierte Sendungen (optional) auf dem Papier auch markiert
 * 1280929 Windows Installer - Internationalisierung
 		Wenn Deutsch nicht Default ist auf dem Windows-System wird nun Englisch als Sprache verwendet
 * 1280934 Windows - Verknüpfungsicons verbessern
		Die Verknüpfung hat nun ein hochauflösenderes Icon
 * 1280932 Windows Tray Icon anpassen
		Bestmögliche Darstellung der jeweiligen Windows Versionen (256 Farben etc)
 * 1280107 Default-Button für Farb-Einstellungen
 * 1260793 Sender-URL editierbar
 * 1229812 Sender-Titel ändern
 * 1248116 weitere Toolbar-Buttons
		Zusätzliche Buttons wie Jetzt, Heute, Uhrzeiten. Zusätzlich wurde auch noch ein neuer 
		Konfigurations-Dialog programmiert. Man kann nun die Knöpfe per Drag'n'Drop in die 
		Werkzeugleiste "schieben"
 * 1258903 Drag'n'Drop
		In der Kanal-Auswahl, dem Kontext-Menü-Setup, in der Plugin-Ãœbersicht und in der 
		Program-Tabelle kann man nun mit Drag'n'Drop arbeiten
 * 1281587 Settings-Kanalliste zeigt immer Logo+Text an
 * 1281406 ListViewPlugin - Dialoggröße usw. speichern
 * 1303240 ListViewPlugin: Beim start aktivieren
		Neue Option. Nun kann man das Plugin direkt beim start des TVBrowser aktivieren
 * 1281586 Aktualisierungs-Zeitspanne kleinschrittiger
		Es gibt nun folgende Optionen:
			- Heute
			- bis Morgen
			- die nächsten 2 Tage
			- die nächsten 3 Tage
			- die nächste Woche
			- die nächsten 2 Wochen
			- die nächsten 3 Wochen
			- Alles
 * 1321086 Firefox statt Netscape
		Unter  *nix-Betriebs-Systemen ist nun der Firefox Standard und nicht Netscape
 * 1323213 Url als Parameter-Feld
		Im Parameter-System kann man die Url der Sendung nun benutzen
 * 1328107 Copy'n'Paste Dialog in jedem Textfeld
		In jedem Textfeld kann man nun per Kontext-Menü Texte kopieren und einfügen
 * 1277641 "Force Quit" für Plugins
		Falls ein Plugin einen Fehler erzeugt, wird nun gefragt, ob dieses Plugin deaktiviert werden soll
 * 1032014 Plugin-System überarbeiten
    	Die Anzeige der Plugins ist überarbeitet worden. Zusätzlich kann man nun Plugins, die man 
    	durch das Menü installiert hat, wieder löschen.
 * 1265323 Keyboard Navigation und Sendung auswählen
		Siehe auch im Handbuch http://wiki.tvbrowser.org/index.php/Tastaturbedienung
 * 1254194 Einzelne Sendungen auf den Favoriten entfernen		
		Man kann nun einzelne Sendungen, die zwar in den Favoriten ist, aber nicht passt, entfernen
 * 1317783 Bilder im TV-Browser laden
		Das Bidler-System für Sendungen wurde aktiviert

- Bugs:      

 * 1280942 Bewertungen: Aktualisieren Fehler
		Falls keine Sendungen vorlagen, gab es einen Fehler im Bewertungs-Plugin
 * 1281348 NullPointerException		
    	Exception im Reminder-Plugin wg. fehlerhaftem laden der Settings
 * 1280055 Favoriten-Plugin: "Sender auswählen" fehlerhaft
    	Nun kann man auch mehrere Sender auswählen
 * 1281388 Exception im ErrorHandler: Icon fehlt   	
		Der TV-Browser hat versucht ein Bild zu laden, das nicht existiert, wenn er nicht starten konnte
 * 1265487 PrintPlugin: Drucken im Querformat nicht möglich
 * 1292322 Automatic data refreshing >> crash
		Wenn automatische Aktualisierung aktiviert ist und keine Daten für den Start-Tag vorliegen, stürtze
		der TV-Browser ab
 * 1296233 Filter: Channel
		Im FilterPlugin wurden die Sender nicht nach ID, sondern die Objekte verglichen. Dies führte nach
		einem Daten-Update dazu, das die Sender-Filter nicht mehr funktionierten
 * 1318375 StringArrayProperty speichert nicht korrekt
 * 1324036 Linux-Startscript: Verzeichniss falsch geholt, wenn verlinkt
		Nun wird bei einem (harten, (noch) nicht bei einem dynamischen) Link das Verzeichniss korrekt
		geholt (Dank an Michael Ostermeier)
 * 1325132 Daten werden beim Shutdown nicht abgespeichert
 * 1279442 Exception bei der Senderauswahl
 * 1279580 Zeit-Knöpfe springen nur fast richtig		
 * 1280392 Favoriten-Plugin/Erinnerer
		Nach einer veränderung der Favoriten wurden immer alle Favoriten neu berechnet
		
1.1 alpha3
=========
- features:

 * option to hide channel names if channel icons are enabled
 * plugin tree: new context menu item 'expand all'

- bugfixes:

 * 1232387 Shortcuts funktionieren nicht zuverlaessig
 * 1231598 Eigene Senderlogos werden vergessen
 * 1230922 Fehler, wenn keine Zeitknoepfe definiert sind
 * 1229938 CapturePlugin: Sendungen zur selben Zeit
 * 1229699 Aktualisierung der rechten Leiste
 * 1229464 CapturePlugin: channel_name_external
 * 1227875 Exception in PrintPlugin (Fonts-Einstellungen)
 * 1227770 PrintPlugin: Sortierung der Sendungen
 * 1227634 "Eine Instanz laeuft schon"-Meldung
 * 1226755 Filter muß and / or noch akzeptieren
 * 1226503 Menue Ansicht > Plugin-Uebersicht wird nicht aktualisiert
 * 1226286 Doppelklick in Programmtabelle
 * 1225706 CapturePlugin nicht im Windows-Installer
 * 1225660 Sprung zu "jetzt" beim Start
 * 1225652 Fehler in ScrollableMenu
 * 1225539 Sortierung der Erinnerungen

1.1 alpha2
=========
- Mac OS X: Store settings in ~/Library/Preferences/TV-Browser
- Windows: add CapturePlugin to Windows-Installer
- Bugfix #1225459 (NullPointer beim Aktualisieren)
- Erinnerer-Dialog sortiert nun die Sendungen nach Beginnzeit


1.1 alpha
=========
- New mainframe layout
- Mac OS X:
     - menu bar
     - installer (package, .dmg)
- New toolbar added
- Plugin-View (tree) added
- Added Channel-Logos
- Added new Filter to select if the Program is running, was running or will be running
- Added localisation for Filters. Now it is possible to write "Untertitelt und nicht Morgens"
- Extended plugin system and introduced PluginProxies.
  Warning: Old plugins will be compatible except when they access other plugins.
           Because there is no direct access to plugins any more, these plugins
           must be changed to access other plugins using their proxies.
- Added new Filter:SubtitleFilter
- Added new FilterComponent: PluginIcon
- Added new Filtercomponent: BeanShellFilter, now you can write little Scripts that Filter certain Programs
- Filtersorting is saved now
- Last used Filter is loaded at start
- Filter for Time now can save minutes, not only hours
- ChannelGroups are fetched from the Server: NOT IN ALPHA! WE WILL EXTEND THIS FEATURE IN BETA RELEASE
- Search now remembers selected Nr of Days
- new structure in the menu bar
- plugin tree view


1.0.1
=========
 - bugfix: removed "import searchplugin..."

1.0 final
=========
 - bugfix: ask before autodownload on startup
 - bugfix: "timezone bug" (didn't show programs after 24:00)

1.0 RC 05
=========
 - bugfix: merge dayprograms correctly
 - bugfix: proxy authentication

1.0 RC 04
=========
- store settings automatically

1.0 RC 02
=========
- bugfix: ReminderPlugin: set property "showmsgbox" to true, if it's not initialized
- bugfix: Program table: apply changed fonts immediately
- bugfix: Program table: don't allow zero as program column width
- bugfix: Program table: don't allow time blocks smaller than 1 hour
- bugfix: util.ui.TextLineBreaker: don't attempt to draw lines shorter than one character
- bugfix: util.ui.FileCheckBox: don't ignore cancel button


0.9.8:
=========
- made webbrowser choosable
- command line options added:
      -minimized
      -nosplash
- The length of the last program of a day is now calculated when TV-Browser has
  the data for the next day.
- Plugin.handleTvDataChanged() is now called only once after a TV data download.
- Program table now breaks long words
- No more bold fonts are used in the menu and buttons
- TV-Browser now recognizes changes in the TV data made by someone else.
  This also fixes problems that come up when the TV-Browser process was killed
  and therefore wasn't able to save the Plugin settings.
- Program table now supports background styles:
    - white
    - one image
    - time blocks
    - time of day
- Better settings management
- Automatic tv listings update on start up
- new version of PrintPlugin added
- new filter components: channel, time
- hide empty columns if a filter is used
- Searching allowes now to search in all program fields (except for binaries)
- Improved Error handling:
    - Nicer error dialog that has a button for copying all nessesary information
      to the clipboard
    - Unhandled exceptions (such as NullPointerException) are detected now
    - When the TV-Browser window is not yet up, the error is shown in a frame,
      not in a dialog.
- SystemTrayIcon improved
    - Translated
    - Added Plugin-Menu
- Added 2 new Filters:
    - Program-Length
    - Additional Infomations (e.g. Stereo)

0.9.7.3:
=========
- added downnload status info
- Extended program table
    - Support for plugin icons
    - The info text is now freely configurable
    - The table is much faster
- Faster download of TV data (summary file, more simultanious download threads)
- Support for channel groups

0.9.7.1, 0.9.7.2:
=========
- Program now supports all new data fields
- DataService class is now splitted into TvDataBase, TvDataUpdater and
  TvDataSearcher. The TvDataBase has now a memory-sensitive cache and a
  Listener functionality.


0.9.7:
=========
- Bugfixes:
    - Stopping updates works now
- Changed the TvDataService-Interface
- Settings: The list of the available channels is now sorted
- Program icon

0.9.6.1:
=========
- bugfixes:
	- don't scroll to invalid time/channel positions
	- remember download period "get all"
	- mark "programs on air" with invalid length
	- changed format of the time buttons to 24h format
	- update finder panel after deleting tv data manually 
- new layout in main frame
- removed online mode
- show plugin buttons by default
- new layout in settings dialog
- support time zones

0.9.6:
=========
- bugfix in SkinPanel
- new feature: filter
- new devplugin.Date class
- new settings dialog
- new settings:
       * -directories for tvdataservice caches
       * -fonts
       * -time space for day programms
       * -time for time buttons
       * -column width
- use folder %HOME/.tvbrowser for personal settings
- scrolling in ProgramTable optimized (big images)


0.9.5.1:
=========
- bugfix in XmlTvDataService

0.9.5:
=========
- New program table
- Show also the next morning
- Compact and Time synchronous program table layout
- online update for plugins and dataservices
- progressbar improved (for online mode)
- download incomplete channel day programs
- changed channel id from int to String

0.9.4:
=========
- Better readable text in Splash Screen
- Error message when TV-Browser starts in wrong directory
- Install all plugins by default
- Subscribe some channels by default
- show timezone in about box
- make fonts chooseable (in settings file)
- remember window size
- remember window location
- Use more icons for menu items and buttons
- shortcuts for menu items added
- keyboard navigable
- specifiying a proxy supported
- dialog on startup, when no tvdata were found
- helpsystem added
- settings: tv data tab implemented
- The order of the plugins is remembered. A double click with the left mouse
  button in the program table opens the program with the first plugins that
  is in the context menu


0.9.3:
=========
- bugfixes

0.9.2:
=========
- bugfixes

0.9.1:
=========
- tv data available

0.9.0:
=========
- initial version
